RNifti Fast R and C++ Access to NIfTI Images

Public Member Functions | Protected Attributes | List of all members
RNifti::Vector< ElementType, Length > Class Template Reference

A simple object-oriented wrapper around a fixed-length array. More...

`#include <NiftiImage.h>`

## Public Member Functions
| Vector (const ElementType value=0.0)
| Initialise with a fixed element value, defaulting to zero.
| Vector (const ElementType *source)
| Initialise from a C-style array of the appropriate type and length.
Vector< ElementType, Length > | operator- () const
| Unary negation operator, which reverses the signs of all elements.
const ElementType & | operator[] (const size_t i) const
ElementType & | operator[] (const size_t i)

## Protected Attributes
ElementType | elements [Length]

## Detailed Description

template<typename ElementType, int Length>
class RNifti::Vector< ElementType, Length >

A simple object-oriented wrapper around a fixed-length array.

Author
  Jon Clayden (code@.nosp@m.clay.nosp@m.den.o.nosp@m.rg)

The documentation for this class was generated from the following file:

- inst/include/RNifti/NiftiImage.h